Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security
Interface ProviderMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  AdjudicatorMBean, ApplicationVersionerMBean, AuditorMBean, AuthenticationProviderMBean, AuthenticatorMBean, AuthorizerMBean, CertPathBuilderMBean, CertPathProviderMBean, CertPathValidatorMBean, CredentialMapperMBean, DeployableAuthorizerMBean, DeployableCredentialMapperMBean, DeployableRoleMapperMBean, IdentityAsserterMBean, KeyStoreMBean, RoleMapperMBean, ServletAuthenticationFilterMBean

public interface ProviderMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean

The base MBean for all security providers.

It includes attributes common to all security providers. Every security provider must implement an MBean that extends this MBean.

If the security provider supports management methods, the management methods cannot be called until the validate method of realm in which the security provider is configured successfully returns. That is, the administrator must completely configure the realm before using the management methods (for example, adding a user).

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getDescription()` Returns a description of this security provider.
`String` | `getName()` The name of this configuration.
`RealmMBean` | `getRealm()` Returns the realm that contains this security provider.
`String` | `getVersion()` Returns this security provider's version.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getDescription

    public String getDescription()

  Returns a description of this security provider.

  Each security provider's mbean should set the default value of this read-only attribute to a string that describes the provider. In other words, each security provider's mbean hard-wires its description. There are no conventions on the contents of the description. It should be a human readable string that gives a brief description of the security provider.

  A dynamic MBean attribute.
    false

### getName

    public String getName()

  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Specified by:
    `getName` in interface `weblogic.management.commo.StandardInterface`
  Default value:
    "Provider"
  A dynamic MBean attribute.
    false

### getRealm

    public RealmMBean getRealm()

  Returns the realm that contains this security provider. Returns null if this security provider is not contained by a realm.

  A dynamic MBean attribute.
    false

### getVersion

    public String getVersion()

  Returns this security provider's version.

  Each security provider's mbean should set the default value of this read-only attribute to a string that specifies the version of the provider (eg. 7.3.04). In other words, each security provider's mbean hard-wires its version. There are no conventions on the contents of the version string.

  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD